H5W3
当前位置:H5W3 > 其他技术问题 > 正文

运行eclipse出现问题?

安装adk之后写的第一个java程序没有问题.但是下载eclipse之后运行eclipse之后就会报错,如下:
JVM terminated. Exit code=1
/usr/bin/java
-Dosgi.requiredJavaVersion=1.8
-XX:+UseG1GC
-XX:+UseStringDeduplication
-Dosgi.requiredJavaVersion=1.8
-Xms256m
-Xmx1024m
-jar /home/liming/Documents/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160318-1642.jar
-os linux
-ws gtk
-arch x86_64
-showsplash /home/liming/Documents/eclipse//plugins/org.eclipse.platform_4.6.1.v20160907-1200/splash.bmp
-launcher /home/liming/Documents/eclipse/eclipse
-name Eclipse
–launcher.library /home/liming/Documents/eclipse//plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.400.v20160518-1444/eclipse_1617.so
-startup /home/liming/Documents/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160318-1642.jar
–launcher.appendVmargs
-exitdata 538012
-product org.eclipse.epp.package.android.product
-vm /usr/bin/java
-vmargs
-Dosgi.requiredJavaVersion=1.8
-XX:+UseG1GC
-XX:+UseStringDeduplication
-Dosgi.requiredJavaVersion=1.8
-Xms256m
-Xmx1024m
-jar /home/liming/Documents/eclipse//plugins/org.eclipse.equinox.launcher_1.3.200.v20160318-1642.jar
不知道为什么?
图片描述
终端的报错信息是这样的:
Unrecognized VM option ‘UseStringDeduplication’
Error: Could not create the Java Virtual Machine.
Error: A fatal exception has occurred. Program will exit.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

回答:

会不会是eclipse和jdk位数不对呢?可能jdk32位的,eclipse却是64位的?或者情况相反?
(我是个新手,答题好紧张……)

回答:

请问关于这个问题还有答案?我在网上查的都是java的版本不对,但我的java版本是64位的java8,eclipse版本是neon——eclipse4.6,按说版本应该是匹配的

呵呵,问题解决了。我的java8是2014年下载安装的,而eclipse——neon是今天下载的最新版本,因此需要java8也是最新版本的,重新下载安装java8最新版本,问题解决。

本文地址:H5W3 » 运行eclipse出现问题?

评论 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址